import { getEndpointPlugin } from "@smithy/middleware-endpoint";
import { getSerdePlugin } from "@smithy/middleware-serde";
import { Command as $Command } from "@smithy/smithy-client";
import { commonParams } from "../endpoint/EndpointParameters";
import { CreateEndpointMessageFilterSensitiveLog, CreateEndpointResponseFilterSensitiveLog, } from "../models/models_0";
import { de_CreateEndpointCommand, se_CreateEndpointCommand } from "../protocols/Aws_json1_1";
export { $Command };
export class CreateEndpointCommand extends $Command
    .classBuilder()
    .ep(commonParams)
    .m(function (Command, cs, config, o) {
    return [
        getSerdePlugin(config, this.serialize, this.deserialize),
        getEndpointPlugin(config, Command.getEndpointParameterInstructions()),
    ];
})
    .s("AmazonDMSv20160101", "CreateEndpoint", {})
    .n("DatabaseMigrationServiceClient", "CreateEndpointCommand")
    .f(CreateEndpointMessageFilterSensitiveLog, CreateEndpointResponseFilterSensitiveLog)
    .ser(se_CreateEndpointCommand)
    .de(de_CreateEndpointCommand)
    .build() {
}
